## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl  https://gitlab.freedesktop.org/monado/demos/xrgears
# Upstream tag request: https://gitlab.freedesktop.org/monado/demos/xrgears/-/issues/16
%global commit    6376389139a11eec16138148e17073bbe96f137d
%global date      20231207
%forgemeta

Name:           xrgears
Version:        1.0.1
Release:        %autorelease
Summary:        OpenXR VR demo using Vulkan for rendering

License:        MIT AND Apache-2.0 AND BSL-1.0
URL:            %{forgeurl}
Source0:        %{forgesource}


ExcludeArch:    %{ix86}
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glm-devel
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glslang)
BuildRequires:  pkgconfig(openxr)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  xxd

# src/ktx_stream.{c,h} Apache-2.0
# src/ktx_texture.{c,h} Apache-2.0
Provides: bundled(KTX-Software)


%description
xrgears is an OpenXR VR demo using Vulkan for rendering.


%prep
%forgeautosetup -p1


%build
# W: no-manual-page-for-binary xrgears
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license LICENSE
%doc README.md
%{_bindir}/xrgears


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Apr 16 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.0.1-3
- Exclude ix86 builds.

* Tue Apr 16 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.0.1-1
- Initial import (fedora#2274950).
## END: Generated by rpmautospec
